summaryrefslogtreecommitdiffstats
path: root/debian/ttyd.postrm
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2021-02-08 13:17:49 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2021-02-08 13:17:49 +0000
commit68549d248a37ba1749ca4765640b589635c7053f (patch)
treed4cf9cff61c78c4fa9c014cb6b303989038c31e0 /debian/ttyd.postrm
parentAdding upstream version 1.6.3. (diff)
downloadttyd-83e56ce16638fe079e8a19557bbd689d316b0002.tar.xz
ttyd-83e56ce16638fe079e8a19557bbd689d316b0002.zip
Adding debian version 1.6.3-1.debian/1.6.3-1
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/ttyd.postrm')
-rwxr-xr-xdebian/ttyd.postrm27
1 files changed, 27 insertions, 0 deletions
diff --git a/debian/ttyd.postrm b/debian/ttyd.postrm
new file mode 100755
index 0000000..0c12e8c
--- /dev/null
+++ b/debian/ttyd.postrm
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+set -e
+
+case "${1}" in
+ purge)
+ # apache2
+ rm -f /etc/apache2/conf-enabled/ttyd.conf
+
+ # httpasswd
+ rm -f /etc/ttyd/htpasswd
+ rmdir /etc/ttyd > /dev/null 2>&1 || true
+ ;;
+
+ remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+
+ ;;
+
+ *)
+ echo "postrm called with unknown argument \`${1}'" >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0